%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name psutil

Name: python%{python_suffix}-%{pypi_name}
Version: 5.8.0
Release: 1
License: BSD-3-CLAUSE
Summary: Python psutil library (process and system utilities)
Url: https://github.com/giampaolo/psutil

Source0: https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

Source1: _psutil_ibmi.c
Source2: _psibmi.py
Source3: ifaddrs.h

Patch0: python%{python_suffix}-psutil-ibmi.patch

BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip

Requires: python%{python_suffix}-ibm_db

%description
psutil (process and system utilities) is a cross-platform library for
retrieving information on running processes and system utilization (CPU, 
memory, disks, network, sensors) in Python.

%prep
%setup -q -n %{pypi_name}-%{version}
%patch0 -p1

cp %{SOURCE1} psutil/
cp %{SOURCE2} psutil/

mkdir psutil/arch/ibmi
cp %{SOURCE3} psutil/arch/ibmi

%build
%py_build_wheel

%install
%py_install_wheel %{pypi_name}-%{version}-cp%{python_version_nodots}-cp%{python_version_nodots}-os400_powerpc64.whl
sed -i 's|pip|rpm|g' %{buildroot}%{python_sitelib}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{python_sitelib}/psutil*

%changelog
* Wed Aug 25 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 5.8.0
- Update to 5.8.0

* Tue Jun 22 2021 Kevin Adler <kadler@us.ibm.com> - 5.5.1
- Port to Python 3.9
- Use macros from python-rpm-macros

* Tue Apr 02 2019 Jesse Gorzinski <jgorzins@us.ibm.com> 5.5.1
- Initial RPM release
